> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/identity/administration/group-templates.md).

# Group Templates

The Group Templates page allows administrators to define templates for creating groups. These templates can speed up the process of creating new groups by pre-defining certain group parameters. Once a template is created, it can be reused multiple times to create new groups with similar settings.

## Action Buttons

{% content-ref url="/pages/6Rk6cebzBET9AXB7TQm0" %}
[Add Group Template](/user-documentation/identity/administration/group-templates/add.md)
{% endcontent-ref %}

{% content-ref url="/pages/zeS3ZVn7WiEZbC3TNVrj" %}
[Deploy Group Templates](/user-documentation/identity/administration/group-templates/deploy.md)
{% endcontent-ref %}

## Column Details

| Column         | Description                                                                                                                                                                                                                                               |
| -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Display Name   | This is the name that will be given to the group when a group is created using this template. It should be unique and descriptive.                                                                                                                        |
| Description    | This field should contain a more detailed explanation of the group's purpose. This might include information about who should be added to the group, what resources the group provides access to, or any other information that helps describe the group. |
| Username       | The username of the creator of the group template.                                                                                                                                                                                                        |
| Group Type     | <p>The type of group that the template creates. Options include:</p><ul><li>Azure Role Group</li><li>Security Group</li><li>Distribution List\*</li><li>Mail Enabled Security Group</li><li>Dynamic Group\*</li></ul>                                     |
| Allow External | Are external people allowed to email this group?                                                                                                                                                                                                          |

### **Additional Fields for Specific Group Types**

For some types of groups, additional fields become available when that type is selected:

* **Allow External:** For Distribution Lists, a checkbox labeled "Let people outside the organization email the group" becomes available.
* **Dynamic Group Parameters:** For Dynamic Groups, a text box for entering the dynamic group parameters syntax becomes available e.g.: `(user.userPrincipalName -notContains "#EXT#@") -and (user.userType -ne "Guest")`.

## Table Actions

<table><thead><tr><th>Action</th><th>Description</th><th data-type="checkbox">Bulk Action Available</th></tr></thead><tbody><tr><td>Edit Template</td><td>Opens the Edit Template page for the selected template</td><td>false</td></tr><tr><td>Save to GitHub</td><td>Saves the template to your GitHub repository</td><td>true</td></tr><tr><td>Delete Template</td><td>Deleted the template</td><td>true</td></tr><tr><td>More Info</td><td>Opens the extended info flyout</td><td>false</td></tr></tbody></table>

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cipp.app/user-documentation/identity/administration/group-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
